import re
from collections import defaultdict

attrs = defaultdict(set)
for x in dir(re):
    if x == x.upper() and not x.startswith('_'):
        value = int(getattr(re, x))
        attrs[value].add(x)
print(attrs)

print()

for k,v in sorted(attrs.items()):
    names = sorted(v, key=lambda y: len(y), reverse=True)
    print(f"{k:>3} {format(k, "08b"):>9} {names[0]} ({names[1] if len(names) == 2 else ''})")
